﻿/**
 * Copyright 2010, Geek House Games LLC, http://geekhousegames.com
 * All Rights Reservered
 * 
 * @author Tronster
 */
package com.tronster.memory
{	
	/**
	 * Forceful way for objects to release resources.
	 */
	public interface IDisposable
	{
		/**
		 * Pseudo destructor.
		 * Object should clear all event listeners and remove references.
		 */
		function dispose():void;
	}
	
}